- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | Protected Member Functions

# QStyleOptionToolButton Class Reference

Search for all occurrences

## Detailed Description

Definition at line 768 of file qstyleoption.h.

`#include <qstyleoption.h>`

Inheritance diagram for QStyleOptionToolButton:
[legend]

List of all members.

## Public Types
enum | StyleOptionType { Type = SO_ToolButton }
enum | StyleOptionVersion { Version = 1 }
enum | ToolButtonFeature { None = 0x00, Arrow = 0x01, Menu = 0x04, MenuButtonPopup = Menu, PopupDelay = 0x08, HasMenu = 0x10 }
## Public Member Functions
| QStyleOptionToolButton ()
| QStyleOptionToolButton (const QStyleOptionToolButton &other)
## Public Attributes
ToolButtonFeatures | features
QIcon | icon
QSize | iconSize
QString | text
Qt::ArrowType | arrowType
Qt::ToolButtonStyle | toolButtonStyle
QPoint | pos
QFont | font
## Protected Member Functions
| QStyleOptionToolButton (int version)

## Member Enumeration Documentation

enum StyleOptionType

Search for all occurrences

Enumerator:

  Type | Search for all occurrences

Reimplemented from QStyleOptionComplex.

Definition at line 771 of file qstyleoption.h.

    { Type = SO_ToolButton };

enum StyleOptionVersion

Search for all occurrences

Enumerator:

  Version | Search for all occurrences

Reimplemented from QStyleOptionComplex.

Definition at line 772 of file qstyleoption.h.

    { Version = 1 };

enum ToolButtonFeature

Search for all occurrences

Enumerator:

  None | Search for all occurrences
  Arrow | Search for all occurrences
  Menu | Search for all occurrences
  MenuButtonPopup | Search for all occurrences
  PopupDelay | Search for all occurrences
  HasMenu | Search for all occurrences

Definition at line 774 of file qstyleoption.h.

                               { None = 0x00, Arrow = 0x01, Menu = 0x04, MenuButtonPopup = Menu, PopupDelay = 0x08,
                                 HasMenu = 0x10 };

## Constructor & Destructor Documentation

QStyleOptionToolButton | ( |  | ) |

QStyleOptionToolButton | ( | const QStyleOptionToolButton & | other | ) | `[inline]`

Definition at line 788 of file qstyleoption.h.

    : QStyleOptionComplex(Version, Type) { *this = other; }

QStyleOptionToolButton | ( | int | version | ) | `[protected]`

## Member Data Documentation

ToolButtonFeatures features

Search for all occurrences

Definition at line 778 of file qstyleoption.h.

QIcon icon

Search for all occurrences

Definition at line 779 of file qstyleoption.h.

QSize iconSize

Search for all occurrences

Definition at line 780 of file qstyleoption.h.

QString text

Search for all occurrences

Definition at line 781 of file qstyleoption.h.

Qt::ArrowType arrowType

Search for all occurrences

Definition at line 782 of file qstyleoption.h.

Qt::ToolButtonStyle toolButtonStyle

Search for all occurrences

Definition at line 783 of file qstyleoption.h.

QPoint pos

Search for all occurrences

Definition at line 784 of file qstyleoption.h.

QFont font

Search for all occurrences

Definition at line 785 of file qstyleoption.h.

The documentation for this class was generated from the following file:

- QtGui/qstyleoption.h

QStyleOptionToolButton QStyleOptionToolButton QStyleOptionToolButton QStyleOptionToolButton QStyleOptionToolButton QStyleOptionToolButton QStyleOptionToolButton QStyleOptionToolButton QStyleOptionToolButton QStyleOptionToolButton
QStyleOptionToolButton QStyleOptionToolButton QStyleOptionToolButton QStyleOptionToolButton QStyleOptionToolButton QStyleOptionToolButton QStyleOptionToolButton QStyleOptionToolButton QStyleOptionToolButton QStyleOptionToolButton